---
updatedAt: 2026-06-30T07:33:58.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# List apps

Get a list of all registered applications on the selected instance

Returns a list of all apps (and content widgets) installed in the current instance.

Requires the `app:read` or `app.read` permission.

## Request

**`GET /app`**

### Headers

| Header          | Value            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

### Query Parameters

| Parameter | Type   | Required | Description                                                                                         |
| --------- | ------ | -------- | --------------------------------------------------------------------------------------------------- |
| `type`    | string | No       | Filter apps by type. Accepted values: `app`, `content-widget`. When omitted, all apps are returned. |

## Response

Returns a JSON array of app objects.

### Response Body

| Field   | Type   | Description                                                      |
| ------- | ------ | ---------------------------------------------------------------- |
| `slug`  | string | Unique app identifier (lowercase letters, numbers, and hyphens). |
| `title` | object | Multilingual display title. Keys are language codes.             |
| `type`  | string | App type: `app` or `content-widget`.                             |
| `url`   | string | The URL where the app is hosted.                                 |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/app": {
      "get": {
        "description": "Get a list of all registered applications on the selected instance",
        "tags": [
          "App"
        ],
        "operationId": "get-app-list",
        "parameters": [
          {
            "$ref": "#/components/parameters/instance"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of applications.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "slug": {
                        "example": "example-slug-for-app",
                        "type": "string",
                        "description": "Unique identifier for the App that is used for all requests.",
                        "format": "^[a-z0-9\\\\-]*"
                      },
                      "title": {
                        "type": "object",
                        "description": "Title that is shown for the App on the dashboard.",
                        "properties": {
                          "de": {
                            "example": "Deutscher App-Titel",
                            "type": "string",
                            "description": "Title that is displayed when german language is selected in the dashboard."
                          },
                          "en": {
                            "example": "English App title",
                            "type": "string",
                            "description": "Title that is displayed when english language is selected in the dashboard."
                          }
                        }
                      },
                      "icon": {
                        "type": "object",
                        "description": "Information about the icon that is shown for the application on the dashboard.",
                        "properties": {
                          "content": {
                            "example": "font-awesome",
                            "type": "string",
                            "description": "Link to an image file or name of the font-awesome icon."
                          },
                          "type": {
                            "example": "alicorn",
                            "type": "string",
                            "description": "Whether the image is a file or a font-awesome icon."
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```